<?php

if (!defined('IN_DISCUZ')) {
    exit('Access Denied');
}

C::import('class/plugin', 'plugin/xinxiuvip_network_plugin', false); //引入系统核心类

class extend_network extends class_plugin
{

    public function __construct() //构造方法
    {
        parent::__construct(false);
    }
    /**
     * ##创建插件的安装代码
     * 1、此处代码以创建数据库表为主，提前创建插件需要的数据库表及字段！
     * 2、在这里也可以添加一些插件自定义php代码，系统自动执行！
     * 3、如果不需要执行代码，直接返回true即可，实例：return true;
     */
    public function hook_plugin_install() //插件安装代码
    {
        $sql = <<<EOF
        CREATE TABLE IF NOT EXISTS `pre_xinxiuvip_plugin_ip` (
          `id` BIGINT(16) unsigned NOT NULL AUTO_INCREMENT,
          `text1` longtext NOT NULL,
          PRIMARY KEY (`id`)
        ) ENGINE=InnoDB  DEFAULT CHARSET=utf8 ;
EOF;
        $sql ? web_mysql::xinxiuvip_plugin_run_sql($sql) : ''; //执行上面的多行SQL代码；
        return true; //创建结束
    }
    /**
     * ##更新插件的更新代码
     * 1、此处代码以更新数据库表为主，对安装的数据库表和字段进行更新！
     * 2、在这里也可以添加一些插件自定义php代码，系统自动执行！
     * 3、如果不需要执行代码，直接返回true即可，实例：return true;
     */
    public function hook_plugin_upgrade() //插件更新代码
    {
        $sql = <<<EOF
        CREATE TABLE IF NOT EXISTS `pre_xinxiuvip_plugin_ip` (
          `id` BIGINT(16) unsigned NOT NULL AUTO_INCREMENT,
          `text1` longtext NOT NULL,
          PRIMARY KEY (`id`)
        ) ENGINE=InnoDB  DEFAULT CHARSET=utf8 ;
EOF;
        $sql ? web_mysql::xinxiuvip_plugin_run_sql($sql) : ''; //执行上面的多行SQL代码；
        return true; //更新结束
    }
    /**
     * ##卸载插件的卸载代码
     * 1、此处代码以卸载数据库表为主，对安装的数据库表和字段进行卸载！
     * 2、在这里也可以添加一些插件自定义php代码，系统自动执行！
     * 3、如果不需要执行代码，直接返回true即可，实例：return true;
     */
    public function hook_plugin_uninstall() //插件卸载代码
    {
        $sql = <<<EOF
        DROP TABLE IF EXISTS `pre_xinxiuvip_plugin_ip`;
EOF;
        $sql ? web_mysql::xinxiuvip_plugin_run_sql($sql) : ''; //执行上面的多行SQL代码；
        return true; //更新结束
    }
    /**
     * ##安装插件的接口代码
     * 1、此处代码以添加插件接口为主，对插件封装的接口，添加到数据库！
     * 2、如果不需要添加任何接口信息，直接返回false即可，实例：return false;
     */
    public function hook_plugin_actions_install() //插件安装接口代码
    {
        $actions_array = array(
            array(
                'type' => 'ip模块',//插件模块
                'name' => '查询ip地址',//接口名称
                'actions' => 'ip_cha',//接口方法
                'url' => 'http://www.xinxiuvip.com/thread-556-1-1.html',//接口文档
            ),
            array(
                'type' => 'ip模块1',//插件模块
                'name' => '查询ip地址1',//接口名称
                'actions' => 'ip_cha1',//接口方法
                'url' => 'http://www.xinxiuvip.com/thread-556-1-1.html',//接口文档
            ),
        );
        return $actions_array;
    }
    /**
     * ##更新插件的接口代码
     * 1、此处代码以更新插件接口为主，对插件封装的接口，更新到数据库！
     * 2、如果不需要更新任何接口信息，直接返回false即可，实例：return false;
     */
    public function hook_plugin_actions_upgrade() //插件接口更新代码
    {
        $actions_array = array(
            array(
                'type' => 'ip模块2',//插件模块
                'name' => '查询ip地址2',//接口名称
                'actions' => 'ip_cha2',//接口方法
                'url' => 'http://www.xinxiuvip.com/thread-556-1-1.html',//接口文档
            ),
        );
        return $actions_array;
    }
}
